libcdr::CDRPath Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libcdr::CDRPath Class Reference

`#include <CDRPath.h>`

Inheritance diagram for libcdr::CDRPath:

## Public Member Functions
| CDRPath ()
| CDRPath (const CDRPath &path)
| ~CDRPath () override
CDRPath & | operator= (const CDRPath &path)
void | appendMoveTo (double x, double y)
void | appendLineTo (double x, double y)
void | appendCubicBezierTo (double x1, double y1, double x2, double y2, double x, double y)
void | appendQuadraticBezierTo (double x1, double y1, double x, double y)
void | appendSplineTo (const std::vector< std::pair< double, double > > &points)
void | appendArcTo (double rx, double ry, double rotation, bool longAngle, bool sweep, double x, double y)
void | appendClosePath ()
void | appendPath (const CDRPath &path)
void | writeOut (librevenge::RVNGPropertyListVector &vec) const override
void | writeOut (librevenge::RVNGString &path, librevenge::RVNGString &viewBox, double &width) const
void | transform (const CDRTransforms &trafos) override
void | transform (const CDRTransform &trafo) override
std::unique_ptr< CDRPathElement > | clone () override
void | clear ()
bool | empty () const
bool | isClosed () const
Public Member Functions inherited from libcdr::CDRPathElement
| CDRPathElement ()
virtual | ~CDRPathElement ()

## Private Attributes
std::vector< std::unique_ptr< CDRPathElement > > | m_elements
bool | m_isClosed

## Constructor & Destructor Documentation

## ◆ CDRPath() [1/2]

libcdr::CDRPath::CDRPath | ( |  | ) |
| inline

Referenced by appendPath(), CDRPath(), and operator=().

## ◆ CDRPath() [2/2]

libcdr::CDRPath::CDRPath | ( | const CDRPath & | path | ) |

## ◆ ~CDRPath()

libcdr::CDRPath::~CDRPath | ( |  | ) |
| override

## Member Function Documentation

## ◆ appendArcTo()

void libcdr::CDRPath::appendArcTo | ( | double | rx,
|  | double | ry,
|  | double | rotation,
|  | bool | longAngle,
|  | bool | sweep,
|  | double | x,
|  | double | y )

Referenced by libcdr::CDRParser::readEllipse(), and libcdr::CMXParser::readEllipse().

## ◆ appendClosePath()

void libcdr::CDRPath::appendClosePath | ( |  | ) |

Referenced by libcdr::CDRPolygon::create(), libcdr::CommonParser::processPath(), libcdr::CDRParser::readEllipse(), libcdr::CMXParser::readEllipse(), and libcdr::CDRParser::readRectangle().

## ◆ appendCubicBezierTo()

void libcdr::CDRPath::appendCubicBezierTo | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2,
|  | double | x,
|  | double | y )

Referenced by libcdr::CommonParser::processPath().

## ◆ appendLineTo()

void libcdr::CDRPath::appendLineTo | ( | double | x,
|  | double | y )

Referenced by libcdr::CDRSplineData::create(), libcdr::CommonParser::processPath(), libcdr::CDRParser::readBitmap(), libcdr::CDRParser::readEllipse(), libcdr::CMXParser::readEllipse(), libcdr::CDRParser::readRectangle(), and libcdr::CMXParser::readRectangle().

## ◆ appendMoveTo()

void libcdr::CDRPath::appendMoveTo | ( | double | x,
|  | double | y )

Referenced by libcdr::CDRSplineData::create(), libcdr::CommonParser::processPath(), libcdr::CDRParser::readBitmap(), libcdr::CDRParser::readEllipse(), libcdr::CMXParser::readEllipse(), libcdr::CDRParser::readRectangle(), and libcdr::CMXParser::readRectangle().

## ◆ appendPath()

void libcdr::CDRPath::appendPath | ( | const CDRPath & | path | ) |

Referenced by CDRPath(), libcdr::CDRPolygon::create(), and operator=().

## ◆ appendQuadraticBezierTo()

void libcdr::CDRPath::appendQuadraticBezierTo | ( | double | x1,
|  | double | y1,
|  | double | x,
|  | double | y )

Referenced by libcdr::CDRSplineData::create(), libcdr::CDRParser::readRectangle(), and libcdr::CMXParser::readRectangle().

## ◆ appendSplineTo()

void libcdr::CDRPath::appendSplineTo | ( | const std::vector< std::pair< double, double > > & | points | ) |

Referenced by libcdr::CDRSplineData::create().

## ◆ clear()

void libcdr::CDRPath::clear | ( |  | ) |

Referenced by operator=().

## ◆ clone()

std::unique_ptr< CDRPathElement > libcdr::CDRPath::clone | ( |  | ) |
| overridevirtual

Implements libcdr::CDRPathElement.

## ◆ empty()

bool libcdr::CDRPath::empty | ( |  | ) | const

## ◆ isClosed()

bool libcdr::CDRPath::isClosed | ( |  | ) | const

Referenced by CDRPath(), and operator=().

## ◆ operator=()

CDRPath & libcdr::CDRPath::operator= | ( | const CDRPath & | path | ) |

## ◆ transform() [1/2]

void libcdr::CDRPath::transform | ( | const CDRTransform & | trafo | ) |
| overridevirtual

Implements libcdr::CDRPathElement.

## ◆ transform() [2/2]

void libcdr::CDRPath::transform | ( | const CDRTransforms & | trafos | ) |
| overridevirtual

Implements libcdr::CDRPathElement.

Referenced by libcdr::CDRContentCollector::_lineProperties(), and libcdr::CDRPolygon::create().

## ◆ writeOut() [1/2]

void libcdr::CDRPath::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const
| overridevirtual

Implements libcdr::CDRPathElement.

Referenced by libcdr::CDRContentCollector::_lineProperties(), and writeOut().

## ◆ writeOut() [2/2]

void libcdr::CDRPath::writeOut | ( | librevenge::RVNGString & | path,
|  | librevenge::RVNGString & | viewBox,
|  | double & | width ) const

## Member Data Documentation

## ◆ m_elements

std::vector<std::unique_ptr<CDRPathElement> > libcdr::CDRPath::m_elements
| private

Referenced by appendArcTo(), appendClosePath(), appendCubicBezierTo(), appendLineTo(), appendMoveTo(), appendPath(), appendQuadraticBezierTo(), appendSplineTo(), CDRPath(), CDRPath(), clear(), empty(), transform(), transform(), and writeOut().

## ◆ m_isClosed

bool libcdr::CDRPath::m_isClosed
| private

Referenced by appendClosePath(), CDRPath(), CDRPath(), clear(), isClosed(), and operator=().

The documentation for this class was generated from the following files:

- CDRPath.h
- CDRPath.cpp